## python-scrapli-replay 2023.7.30

=== Makefile ===
lint:
	python -m isort .
	python -m black .
	python -m pylama .
	python -m pydocstyle .
	python -m mypy --strict scrapli_replay/

darglint:
	find scrapli_replay -type f \( -iname "*.py"\ ) | xargs darglint -x

test:
	python -m pytest \
	tests/

cov:
	python -m pytest \
	--cov=scrapli_replay \
	--cov-report html \
	--cov-report term \
	tests/

test_unit:
	python -m pytest \
	tests/unit/

cov_unit:
	python -m pytest \
	--cov=scrapli_replay \
	--cov-report html \
	--cov-report term \
	tests/unit/

test_docs:
	mkdocs build --clean --strict
	htmltest -c docs/htmltest.yml -s
	rm -rf tmp

deploy_docs:
	mkdocs gh-deploy

=== requirements.txt ===
asyncssh>=2.2.1,<3.0.0
ruamel.yaml>=0.17,<0.18
scrapli>=2021.07.30

=== debian/changelog ===
python-scrapli-replay (2023.7.30-3) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 14:23:06 +0100

python-scrapli-replay (2023.7.30-2) unstable; urgency=medium

  * Fix explicitely-set-packages.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 13:53:30 +0200

python-scrapli-replay (2023.7.30-1) unstable; urgency=medium

  * Initial release. (Closes: #1051838)

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Sep 2023 10:53:06 +0200

=== debian/control ===
Source: python-scrapli-replay
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-scrapli-replay
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-scrapli-replay.git
Homepage:

Package: python3-scrapli-replay
Architecture: all
Depends:
 python3-asyncssh,
 python3-ruamel.yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: enable easy testing of scrapli programs
 Easily test scrapli code with Pytest, or create mock SSH servers to play with.
 .
 Within Debian, this package is only useful for running unit tests for the
 package python-scrapli.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/scrapli/scrapli_replay
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=scrapli

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

# This package only exists so we can run tests in scrapli,
# so running these tests is both overkill and useless. If
# someone has time to waste on it, please contribute!
override_dh_auto_test:
	echo "No tests in this package..."

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/scrapli_replay/scrapli_replay-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
